package com.huimv.farm.damsubsidy.controller;


import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.service.IBillBuyInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 交易信息 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/bill-buy-info")
@CrossOrigin
public class BillBuyInfoController {
    @Autowired
    private IBillBuyInfoService billBuyInfoService;


    @PostMapping("/listTransaction")
    public Result listTransaction(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return billBuyInfoService.listTransaction(httpServletRequest,paramsMap);
    }

}
